Capistrano::Configuration.instance(:must_exist).load do
  _cset(:backup_foundation_roles) { :db }

  load do
    def backup_foundation_servers
      find_servers roles: fetch(:backup_foundation_roles)
    end
  end

  namespace :backup_foundation do
    desc 'Prepare and upload files for backup'
    task :backup do
      backup_foundation_servers.each do |server|
        rake = fetch :rake, 'rake'
        rails_env = fetch :rails_env, 'production'
        run "cd '#{current_path}' && #{rake} backup_foundation:backup RAILS_ENV=#{rails_env}", host: server
      end
    end

    desc 'Download and restore files from server'
    task :restore do
      backup_foundation_servers.each do |server|
        rake = fetch :rake, 'rake'
        rails_env = fetch :rails_env, 'production'
        run "cd '#{current_path}' && #{rake} backup_foundation:restore RAILS_ENV=#{rails_env}", host: server
      end
    end
  end
end
