namespace :backup_foundation do
  desc 'Prepare and upload files for backup'
  task :backup do
    on roles fetch(:backup_foundation_roles) do |host|
      within release_path do
        with rails_env: fetch(:rails_env, 'production') do
          execute :bundle, :exec, :rake, :'backup_foundation:backup'
        end
      end
    end
  end

  desc 'Download and restore files from server'
  task :restore do
    on roles fetch(:backup_foundation_roles) do |host|
      within release_path do
        with rails_env: fetch(:rails_env, 'production') do
          execute :bundle, :exec, :rake, :'backup_foundation:restore'
        end
      end
    end
  end
end

namespace :load do
  task :defaults do
    set :backup_foundation_roles, ->{ :db }
  end
end
