module BackupFoundation
  module Item
    class SQLite < Base
      class << self
        def exist?(rails_env=nil)
          defined?(ActiveRecord::Base) &&
          ActiveRecord::Base.configurations &&
          ActiveRecord::Base.configurations[rails_env] &&
          ActiveRecord::Base.configurations[rails_env]['adapter'] == 'sqlite3'
        end

        def get_config(rails_env=nil)
          config = ActiveRecord::Base.configurations[rails_env]
          {
            database: config['database']
          }
        end
      end

      def save_dump(tmpdir)
        dump_and_encrypt_if_needed "cat #{@options[:database]}"
      end

      def load_dump(infile_path)
        decrypt_if_needed_and_restore "cat > #{@options[:database]}", infile_path
      end
    end
  end
end
